/* Display property */

.div-1 {
  background-color: #00ff00;
  display: inline;
}

#span-1 {
  background-color: purple;
  display: none;
  width: 200px;
  height: 200px;
}

#span-2 {
  background-color: #ff0000;
  display: block;
}

#div-2 {
  display: none;
}

#img {
  height: 250px;
  width: 250px;
}

#p-1 {
  background-color: #87cefa;
}

#p-2 {
  background-color: rgb(255 105 180);
  width: 60%;
}

#p-3 {
  background-color: yellow;
  width: 40%;
}

.sample {
  display: inline-block;
  width: 30%;
  border: 1px solid black;
  text-align: center;
}

/* FLOAT PROPERTY */
.img-float {
  width: 50px;
  height: 50px;

  float: left;
}

.box {
  background-color: #ff0000;
  border: 1px solid black;
}

.fifty-percent {
  width: 50%;
}

.one-hundred-pixels {
  width: 100px;
}

.fifty-vw {
  width: 50vw;
}

.fifty-vh {
  height: 50vh;
}

.parent {
  width: 135px;
  border: 2px solid navy;
}

.one-rem {
  font-size: 1rem;
}
.two-rem {
  font-size: 2rem;
}
.one-em {
  font-size: 1em;
}
.two-em {
  font-size: 2em;
}

.background {
  height: 100vh;
  background-color: gray;
  background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  opacity: 80%;
}

.bg-title {
  color: #fff;
  text-align: center;
  font-size: 5em;
  line-height: 35rem;
}

.container-bg {
  opacity: 50%;
}

/* CSS Positioning */
.parent-element {
  background-color: skyblue;
  padding: 10px;
}

.child-one {
  background-color: gray;
  padding: 10px;
}
.child-two {
  background-color: pink;
  padding: 10px;
  position: relative;
}
.child-three {
  background-color: yellow;
  padding: 10px;
}

.black-box {
  position: relative;
  border: 2px solid black;
  height: 100px;
  width: 30px;
}

.gray-box {
  background-color: gray;
  position: absolute;
  height: 70px;
  z-index: 2;
  width: 70%;
  /* left: 50px; */
  /* top: 50px; */
}

.green-box {
  position: absolute;
  width: 600px;
  height: 100px;
  background-color: lightgreen;
  z-index: 3;
}
